#include <stdio.h>
#include <string.h>
#include "freertos/FreeRTOS.h"
#include "freertos/task.h"
// #include "freertos/semphr.h"
// #include "driver/gpio.h"
#include "esp_log.h"
#include "esp_err.h"
// #include "clock.h"
// #include "spiffs.h"
#include "nvs_flash.h"
// #include "network.h"
// #include "srv_log.h"


#define MOD_TAG "ENTRY"


void app_main(void)
{
    int ret = -1;
    ret = nvs_flash_init();
    if (ret == ESP_ERR_NVS_NO_FREE_PAGES || ret == ESP_ERR_NVS_NEW_VERSION_FOUND) {
        ESP_ERROR_CHECK(nvs_flash_erase());
        ret = nvs_flash_init();
    }
    // network_init();
    extern int init(void);

    xTaskCreate((void(*)(void*))init, "INIT", 10000, NULL, tskIDLE_PRIORITY, NULL);

}

