# GMM2.0

古茗奶昔机2.0，采用ESP32S3为主控

## 硬件说明

#### 1. 显示屏

功能：用于辅助设备与用户交互时的页面展示

显示大小： 2.8寸，分辨率320**240，屏幕最大尺寸不超过62*110mm  

主控芯片：**ST7789V**

供应商：深圳市迈高达科技有限公司

当前状态：确认样品中

####  2.显示板

功能：设备核心控制板，用于串激电机控制、平台数据交互、用户按键控制、屏幕显示控制、电机控制、蜂鸣器提醒

PCB尺寸：由结构预留大小决定，目标控制在135*90mm以内

硬件需求：

1. 供电电压DC12V 纹波小于1%，防反接、抗静电 
2. 18个按键(型号与上代一致)，单个按键按压寿命需要达到100W次；2个调试按键(reset键、boot键) 
3. 主控ESP32S3，(PSRAM：4M起；Flash：16M)，具体型号由硬件方决定，注意天线下方挖空 
4. 1个有源蜂鸣器 
5. RTC芯片，掉电走时，纽扣电池2032 
6. 看门狗电路，需要有跳线帽切换，咬狗时间大于1s 
7. 1路下载串口，引出5V, TXD（IO3）, RXD（IO1），EN，BOOT , GND
8.  1路微动开关检测电路 
9. 1路串激电机驱动信号发生电路(可能需要信号隔离) 
10. 1路霍尔转速检测电路 
11. 电机温度检测 NTC  

供应商：

1、夏冠(个人)

####  3.电源板

功能：设备供电系统来源(AC-DC12V)、串激电机驱动电路

PCB尺寸：方案1-独立板，由结构预留大小决定；方案2-集成在显示板上。待讨论

硬件需求：

1.  AC220供电、防雷击浪涌设计 
2. 提供给显示板12V供电，电流不低于500mA给显示板 
3. 串激电机驱动电路，但驱动信号由显示板提供 
4. 串激电机保护电路，防过流和短路  

供应商：

1、夏冠(个人)