set py_path="c:\Programs\python3\python.exe"
set esptool_path="c:\Programs\python3\esptool\esptool.py"
set esptool_args=--chip esp32s3 -b 921600 --before default_reset --after hard_reset
set flash_args=--flash_mode dio --flash_size 8MB --flash_freq 80m
set build_bins_path="\\wsl.localhost/Debian/home/ss/workspace/gits/milk_cap_esp32/build"


@REM c:\programs\python3\python.exe c:\Programs\python3\esptool\esptool.py -p "COM5" --chip esp32s3 -b 921600 --before default_reset --after no_reset flash_id
%py_path% %esptool_path% -p COM7 %esptool_args% flash_id

@REM c:\programs\python3\python.exe c:\Programs\python3\esptool\esptool.py -p "COM5" --chip esp32s3 -b 921600 --before default_reset --after no_reset write_flash --flash_mode dio --flash_size detect --flash_freq 80m 0x0 \\wsl.localhost/Debian/home/ss/workspace/gits/milk_cap_esp32/build/bootloader/bootloader.bin 0x8000 build/partition_table/partition-table.bin 0x1e000 build/ota_data_initial.bin 0x20000 build/gmm.bin 0x5e0000 build/storage.bin
%py_path% %esptool_path% -p COM7 %esptool_args% write_flash %flash_args% 0x0 %build_bins_path%/bootloader/bootloader.bin 0x8000 %build_bins_path%/partition_table/partition-table.bin 0x1e000 %build_bins_path%/ota_data_initial.bin 0x20000 %build_bins_path%/gmm.bin 0x5e0000 %build_bins_path%/storage.bin
%py_path% %esptool_path% -p COM7 %esptool_args% write_flash %flash_args% ^
0x0 %build_bins_path%/bootloader/bootloader.bin ^
0x8000 %build_bins_path%/partition_table/partition-table.bin ^
0x1e000 %build_bins_path%/ota_data_initial.bin ^
0x20000 %build_bins_path%/gmm.bin ^
0x5e0000 %build_bins_path%/storage.bin

%py_path% %esptool_path% -p COM7 %esptool_args% write_flash %flash_args% 0x20000 %build_bins_path%/gmm.bin

    @REM /* section information for initial. */
    @REM __gm_init_start = ABSOLUTE(.);
    @REM KEEP(*(SORT(.gm_init_fn.*)))
    @REM __gm_init_end = ABSOLUTE(.);
